#include "GeoPoint3D.h"

GeoPoint3D *GeoPoint3D::Clone() const
{
    return new GeoPoint3D(*this);
}

GeoPoint3D &GeoPoint3D::operator=(const GeoPoint3D &p)
{
    this->setLatitude(p.latitude());
    this->setLongitude(p.longitude());
    this->setAltitude(p.altitude());

    return *this;
}
